(defun load-arc ())

(let ((arc-files (list 
          "datalist" 
          "dataset1" 
          "dmenu" 
          "arc1"                        ;<-- arc prototype
          "dataset2" "dataset3" "dataset4"
          "settings"
          "rcmenu" 
          "glim1" "glmenus"             ;<-- glim extensions
          "reg1" "reg2" "reg5"          ;<-- regression model extensions
          "overlay1" "overlay2" "overlay3" ;<-- overlays
          "overlay4" "overlay5" "overlay6" ;<-- overlays
          "fun1" "fun2" "fun3"             ;<-- functions
          "greg1" "ir1" "ir2" "ir3"     ;<-- Greg and inverse regression
          "reg3"                        ;<-- regression model extensions
          "rgraph1" "rgraph2"           ;<-- Graph-proto extensions
          "tables"                      ;<-- tables
          "dataset5"                    ;<-- loaded after glims are defined
          "parcil" "deriv2"             ;<-- C-to-lisp and derivatives
          "cplot1" "cplot2"             ;<-- Contour plotting in nonlinear
	       "nfun1" "nreg1" "nreg2"       ;<-- nonlinear
          "nreg3" "nreg4" "submodel"    ;<-- nonlinear
	       "ngraph1" "ngraph2" "nrmenus" ;<-- nonlinear
          "modelplt"                    ;<-- model checking plots 
          "quadreg"                     ;<-- 1D quadratic model
          "datafile"                    ;<-- datafile parcing, redefines load
	  "gnm"                         ;<-- generalized nonlinear models
	  "onedmod"                     ;<-- POD models
	  "lindelta"                    ;<-- Delta method
          )))  
  (mapcar #'(lambda (file) (load file)) arc-files))

;;;
;;;  This is a copy of a function in datafile.lsp
;;;  that does not work reliably when compiled.
;;;

(defun arc-datafile (file)
"Function args: (file)
Decodes the file file and starts Arc."
 (let* ((d (send read-dataset-proto :new file)))
   (send d :decode-file)
   (close (send d :file))
   (let ((dataset (apply #'arc :print nil (send d :call))))
    (send d :execute-lisp-code)
    (send dataset :description)
    t)))
