(defun logistic-example ()
  (let* ((x1 (repeat (iseq 1 10) 10))
         (x2 (repeat (iseq 1 10) (repeat 10 10)))
         (u (+ (* (sin 2) x1) (* (cos 2) x2)))
         (y (+ u (/ (exp (- u)) (+ 1 (exp (- u)))))))
   (rcode :data (list x1 x2 u y)
          :data-names '("X1" "X2" "U" "Y")
          :name "Surface"
          :info '("Equally spaced on (1, 10)"
                  "Equally spaced on (1, 10)"
                  "sin(2)X1 + cos(2)X2"
                  "u + (exp -u)/(1+exp(-u))"))))

(logistic-example)
