dataset = Plant-Ht
begin description
Reference: Federer,W.T. and Schlottfeldt, C. S. (1954). The use of 
covariance to control gradients in experiments. Biometrics, 10, 282 290.
Results of a 1951 experiment on exposure of tobacco seeds to cathode rays.
Seven dosages including a control were laid out in a randomized complete 
block design with 8 blocks.  Initial information indicated that the 
experimental units (plots of ground) were uniform within blocks but 
not between blocks and that the between block gradient was probably 
linear.  However, after the experiment was started it became evident 
that there was an environmental gradient within blocks as well.  Thus 
the problem becomes one of removing two field gradients, one 
anticipated and one not anticipated, from a nonorthogonal design.
The problem can be approached as a response surface in L and B plus 
treatment effects, if any. Although treatments are evidently quantitative, 
Federer and Schlottfeldt did not give the levels, except to say that 
one treatment is a control. Lacking this information, treatments 
can be regarded as a qualitative factor.
end description
begin variables
Col 0 = Col = Column number, 1, 2,..., 7
Col 1 = Row = Row number, 1, 2,..,8.  Rows were used as a blocking factor
Col 2 = Trt = treatment number  1, 2,...,7
Col 3 = Ht = response = total height of 20 plants in cm
end variables
begin data
(
1 1 6 1299.2 
1 2 2 1369.2 
1 3 1 1169.5 
1 4 6 1219.1 
1 5 6 1120 
1 6 7 1031.5 
1 7 2 1076.4 
1 8 4 1099.6 
2 1 7 875.9 
2 2 5 844.2 
2 3 5 975.8 
2 4 1 971.7 
2 5 7 827 
2 6 2 846.5 
2 7 1 917.9 
2 8 5 947.4 
3 1 4 960.7 
3 2 6 968.7 
3 3 3 873.4 
3 4 7 607.6 
3 5 4 671.9 
3 6 4 667.8 
3 7 5 627.6 
3 8 2 787.1 
4 1 3 1004 
4 2 7 975.5 
4 3 7 797.8 
4 4 4 1000 
4 5 3 972.2 
4 6 3 853.6 
4 7 6 776.4 
4 8 1 898.3 
5 1 1 1173.2 
5 2 3 1322.4 
5 3 2 1069.7 
5 4 2 1343.3 
5 5 1 1083.7 
5 6 1 1087.1 
5 7 3 760.4 
5 8 3 1174.9 
6 1 2 1031.9 
6 2 1 1172.6 
6 3 6 1093.3 
6 4 5 999.4 
6 5 2 1146.9 
6 6 5 990.2 
6 7 7 852.4 
6 8 6 1003.3 
7 1 5 1421.1 
7 2 4 1418.9 
7 3 4 1169.6 
7 4 3 1181.1 
7 5 5 993.8 
7 6 6 1021.9 
7 7 4 1006.2 
7 8 7 947.6 
)
